SDL Library Documentation
Prev |  | Next

# SDL_WM_GrabInput

## Name

SDL_WM_GrabInput -- Grabs mouse and keyboard input.

## Synopsis

    #include "SDL.h"

``SDL_GrabMode SDL_WM_GrabInput`(SDL_GrabMode mode);`

## Description

Grabbing means that the mouse is confined to the application window, and nearly all keyboard input is passed directly to the application, and not interpreted by a window manager, if any.

When `mode` is `SDL_GRAB_QUERY` the grab mode is not changed, but the current grab mode is returned.

    typedef enum {
      SDL_GRAB_QUERY,
      SDL_GRAB_OFF,
      SDL_GRAB_ON
    } SDL_GrabMode;

## Return Value

The current/new SDL_GrabMode.

Prev | Home | Next
SDL_WM_ToggleFullScreen | Up | Events